Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_RTCP_Callback Class Reference

TAO_AV_Callback for RTCP protocol. More...

`#include <RTCP.h>`

Inheritance diagram for TAO_AV_RTCP_Callback

[legend]
Collaboration diagram for TAO_AV_RTCP_Callback:

[legend]
List of all members.

## Public Methods
| TAO_AV_RTCP_Callback (void)
| RTCP callback.
virtual | ~TAO_AV_RTCP_Callback (void)
| virtual destructor.
virtual int | handle_start (void)
| Called during Streamctrl->start.
virtual int | handle_stop (void)
| Called during Streamctrl->stop.
virtual int | handle_timeout (void *arg)
| Called during timeout for Flow Producers.
virtual int | receive_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info = 0, const ACE_Addr &peer_address = ACE_Addr::sap_any)
| Called when a frame arrives for a FlowConsumer.
virtual int | receive_control_frame (ACE_Message_Block *frame, const ACE_Addr &peer_address = ACE_Addr::sap_any)
| address from which the frame was received.
virtual int | handle_destroy (void)
| Called during Streamctrl->destroy i.e tear_down of the stream coryan:Call it handle_destroy or handle_close. More...
virtual void | get_timeout (ACE_Time_Value *&tv, void *&arg)
| Called to get the timeout. If tv is 0 then the framework stop calling this.
int | demux (TAO_AV_RTP::rtphdr* rh, ACE_Message_Block *data, const ACE_Addr &peer_address)
virtual int | get_rtp_source (TAO_AV_Source *&source, ACE_UINT32 srcid, ACE_UINT32 ssrc, ACE_UINT32 addr)
void | schedule (int ms)
TAO_AV_SourceManager* | source_manager (void)
TAO_AV_RTP_State* | state (void)
## Protected Attributes
TAO_AV_SourceManager* | source_manager_
TAO_AV_RTP_State* | state_
int | timeout_

## Detailed Description

TAO_AV_Callback for RTCP protocol.

## Constructor & Destructor Documentation

TAO_AV_RTCP_Callback::TAO_AV_RTCP_Callback ( | void )

| RTCP callback.

TAO_AV_RTCP_Callback::~TAO_AV_RTCP_Callback ( | void )`[virtual]`

| virtual destructor.

## Member Function Documentation

int TAO_AV_RTCP_Callback::demux ( | TAO_AV_RTP::rtphdr * rh,
| ACE_Message_Block * data,
| const ACE_Addr & address )

int TAO_AV_RTCP_Callback::get_rtp_source ( | TAO_AV_Source *& source,
| ACE_UINT32 srcid,
| ACE_UINT32 ssrc,
| ACE_UINT32 addr )`[virtual]`

void TAO_AV_RTCP_Callback::get_timeout ( | ACE_Time_Value *& tv,
| void *& arg )`[virtual]`

| Called to get the timeout. If tv is 0 then the framework stop calling this. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_destroy ( | void )`[virtual]`

| Called during Streamctrl->destroy i.e tear_down of the stream coryan:Call it handle_destroy or handle_close. @ Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_start ( | void )`[virtual]`

| Called during Streamctrl->start. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_stop ( | void )`[virtual]`

| Called during Streamctrl->stop. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_timeout ( | void * arg )`[virtual]`

| Called during timeout for Flow Producers. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::receive_control_frame ( | ACE_Message_Block * frame,
| const ACE_Addr & peer_address = ACE_Addr::sap_any )`[virtual]`

| address from which the frame was received. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::receive_frame ( | ACE_Message_Block * frame,
| TAO_AV_frame_info * frame_info = 0,
| const ACE_Addr & peer_address = ACE_Addr::sap_any )`[virtual]`

| Called when a frame arrives for a FlowConsumer. Reimplemented from TAO_AV_Callback.

void TAO_AV_RTCP_Callback::schedule ( | int ms )

TAO_AV_SourceManager * TAO_AV_RTCP_Callback::source_manager ( | void )

TAO_AV_RTP_State * TAO_AV_RTCP_Callback::state ( | void )

## Member Data Documentation

TAO_AV_SourceManager * TAO_AV_RTCP_Callback::source_manager_`[protected]`

TAO_AV_RTP_State * TAO_AV_RTCP_Callback::state_`[protected]`

int TAO_AV_RTCP_Callback::timeout_`[protected]`

The documentation for this class was generated from the following files:

- RTCP.h
- RTCP.cpp